Subject: bug#29903: Guile modules compilation fails on master

From: Mathieu Lirzin <[email-masked]>
Date: Sat, 06 Jan 2018 00:07:28 +0100

[email-masked] (Ludovic Courtès) writes:

> Mathieu Lirzin <[email-masked]> skribis:
>
>> I am trying to build Guix master branch (commit
>> e2f37d6ab7427946e6c68ebaecc97c85d5217234) on Fedora 25.  Here is the
>> issue I have:
>
> [...]
>
>>   LOAD     guix/utils.scm
>>   LOAD     guix/sets.scm
>>   LOAD     guix/modules.scm
>>   LOAD     guix/download.scm
>> ice-9/psyntax.scm:1558:32: In procedure expand-macro:
>> ice-9/psyntax.scm:1558:32: Syntax error:
>> unknown location: error: no 'ungexp' substitution (ungexp %utils-module)
>> Makefile:5314 : la recette pour la cible « make-go » a échouée
>
> Is it reproducible?

Definitely.  Always the same error at the same time.

> This looks like <https://bugs.gnu.org/27476>, though in this case you
> appear to be building things sequentially (-j1; and the “load” phase is
> sequential anyway.)

I have tested with Guile 2.2.3 installed from source and the issue
dissapeared.  I don't know if the problem is specific to Guile 2.2.1
distributed by Fedora.  If not I would suggest rejecting it at configure
time.

Thanks.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37